MerchantE API Docs
POST/checkout/sign-in

Initiate Hosted Payment Page checkout

Redirects customer to MerchantE Hosted Payment Page for checkout. This endpoint accepts form POST data to initiate the payment process.

The customer will be presented with options to:

  • Checkout as guest (limited view of Hosted Payments)
  • Create a payment account
  • Log in to existing payment account

Request Body

Content type: application/x-www-form-urlencoded

Required1 field
profile_idstring
Merchant Identifier (mandatory). Routes the customer specifically to your payment page.
maxLength=20
Others4 fields
payment_amountstring
The amount of the transaction. Only necessary if you have the Custom Amount flag turned off, since in that scenario the payment amount will be sent across from your website to Hosted Payments.
**Important**: If you do not send the amount when the Custom Amount flag is turned off, a hardcoded $0.00 amount will be sent when the customer navigates to the Hosted Payment Page and the customer will not be able to proceed with payment.
format=numeric · maxLength=12
invoice_numberstring
Custom Invoice Number field. Only necessary if you intend on sending an Invoice Number to Hosted Payments. If not, this will automatically be generated once the transaction is processed successfully.
format=alphanumeric · maxLength=17
client_reference_numberstring
Custom Reference Number. Only necessary if you intend on sending a client reference number from your side to Hosted Payments. If not, this will automatically be generated once the transaction is processed successfully.
format=alphanumeric · maxLength=96
transaction_keystring
MD5 hash for request validation when Security Code is enabled.
**Calculation**: MD5(Profile Key + Security Code + Transaction Amount)
The Profile Key is a security code generated by MerchantE. Required only when Security Code security feature is enabled in merchant settings.

Responses

302
Redirect to Hosted Payment Page

Redirect to Hosted Payment Page

400
Invalid request - missing required fields or invalid transaction_key

Invalid request - missing required fields or invalid transaction_key

Code samples

Copy-paste ready code in your preferred language to integrate the Hosted Payment Page.

Form POST

Copy/paste friendly
API call
curl -X POST "https://cert.hostedpayments.merchante.com/hpp/checkout/sign-in" \
  -H "Content-Type: application/x-www-form-urlencoded" \
  --data-urlencode "profile_id=12345678901234567890" \
  --data-urlencode "payment_amount=500.00" \
  --data-urlencode "invoice_number=INV-2023-001" \
  --data-urlencode "client_reference_number=REF-12345" \
  --data-urlencode "transaction_key=5d41402abc4b2a76b9719d911017c592"